@ECHO OFF
SETLOCAL
SET BATDIR=%~dp0
SET DXAENCODE="C:\Home\Share\DxLib_VC\Tool\DXArchive\DxaEncode.exe"

REM //--------------------------------------------------------------------------
IF EXIST dxa\ RMDIR /S /Q                     dxa\
MKDIR                                         dxa\grp\
IF EXIST grp\SprSht*.png COPY grp\SprSht*.png dxa\grp\
MKDIR                                         dxa\grp\mov\
IF EXIST grp\mov\*.avi   COPY grp\mov\*.avi   dxa\grp\mov\
IF EXIST grp\mov\*.ogv   COPY grp\mov\*.ogv   dxa\grp\mov\
MKDIR                                         dxa\grp\yml\
IF EXIST grp\yml\*.yml   COPY grp\yml\*.yml   dxa\grp\yml\
%DXAENCODE%                                   dxa\grp\ .\grp.dxa
IF ERRORLEVEL 1 GOTO L_ERR
IF EXIST dxa\ RMDIR /S /Q                     dxa\

REM //--------------------------------------------------------------------------
IF EXIST dxa\ RMDIR /S /Q                     dxa\
MKDIR                                         dxa\snd\phr\
IF EXIST snd\phr\*.wav COPY snd\phr\*.wav     dxa\snd\phr\
IF EXIST snd\phr\*.mp3 COPY snd\phr\*.mp3     dxa\snd\phr\
IF EXIST snd\phr\*.ogg COPY snd\phr\*.ogg     dxa\snd\phr\
%DXAENCODE%                                   dxa\snd\ .\snd.dxa
IF ERRORLEVEL 1 GOTO L_ERR
IF EXIST dxa\ RMDIR /S /Q                     dxa\

REM //--------------------------------------------------------------------------
ECHO 完了しました。
REM //	TIMEOUT /T 3 /NOBREAK
EXIT /B

REM //--------------------------------------------------------------------------
:L_ERR
ECHO ###エラーが発生しました。
	PAUSE
EXIT /B 1
